<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.usai.redant.raimage">

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION" />

    <application
        android:name=".RedAntApplication"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme">

        <!-- <activity -->
        <!-- android:name=".MainActivity" -->
        <!-- android:configChanges="orientation|keyboardHidden" -->
        <!-- android:label="@string/app_name" -->
        <!-- android:screenOrientation="sensorLandscape" -->
        <!-- android:stateNotNeeded="true" -->
        <!-- android:theme="@style/CaptureTheme"> -->


        <!-- &lt;!&ndash; -->
        <!-- <intent-filter> -->
        <!-- <action android:name="android.intent.action.MAIN" /> -->


        <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
        <!-- </intent-filter> -->
        <!-- &ndash;&gt; -->
        <!-- </activity> -->

        <activity
            android:name=".MainActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light">

            <!--
                 <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity
            android:name=".CaptureActivity"
            android:clearTaskOnLaunch="true"
            android:label="Scan"
            android:screenOrientation="sensorLandscape"
            android:stateNotNeeded="true"
            android:theme="@style/CaptureTheme"
            android:windowSoftInputMode="stateAlwaysHidden">

            <!--
                 <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity
            android:name=".LoginActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden|adjustResize">

            <!--
                <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity
            android:name=".UploadQueueActivity"
            android:label="Upload queue"
            android:screenOrientation="sensorLandscape"
            android:theme="@style/CaptureTheme" />
        <activity
            android:name=".PreferencesActivity"
            android:label="@string/preferences_name"
            android:stateNotNeeded="true" />
        <activity
            android:name=".PhotoPreviewActivity"
            android:label="Photo preview"
            android:screenOrientation="sensorLandscape"
            android:windowSoftInputMode="stateHidden|adjustResize" />
        <activity
            android:name=".LockerActivity"
            android:label="@string/title_activity_locker"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateVisible" />

        <receiver android:name=".BootReceiver">
            <intent-filter android:priority="2147483647">
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
        </receiver>

        <service
            android:name=".UploadService"
            android:label="usai upload service" />

        <activity
            android:name=".AboutActivity"
            android:label="@string/title_activity_about"
            android:screenOrientation="sensorLandscape" />
        <activity
            android:name=".LicenseActivity"
            android:label="@string/title_activity_license"
            android:screenOrientation="sensorLandscape" />
        <activity
            android:name=".ServerSettingActivity"
            android:label="@string/title_activity_service_setting"
            android:screenOrientation="portrait" />
        <activity
            android:name=".FullScreenLoginActivity"
            android:label="@string/title_activity_full_screen_login">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".testfullActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:label="@string/title_activity_testfull"
            android:theme="@style/FullscreenTheme" />
        <activity
            android:name=".ModeActivity"
            android:theme="@style/Base.Theme.AppCompat.Light" />
        <activity
            android:name=".uploadSettingActivity"
            android:theme="@style/Base.Theme.AppCompat.Light" />
        <activity
            android:name=".POP.PopActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light" />
        <activity
            android:name=".Model.ModelActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light" />
        <activity
            android:name=".PhotoList.PhotoListActivity"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light" />
        <activity
            android:name=".PhotoList.NewPhotoPreviewActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light" />
        <activity
            android:name=".Model.ManufactureListActivity"
            android:theme="@style/Theme.AppCompat.Light"/>


    </application>

</manifest>